<template>
  <div id="theApp">
    <Header id="theHeader"></Header>

    <main id="theContent">
      <div v-if="!isLive" class="position-fixed">dev:{{ currentProfile }}</div>
      <nuxt />
    </main>

    <Footer></Footer>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import Header from './partials/Header';
import Footer from './partials/Footer';
import InternetExplorerMixin from '~/components/mixins/InternetExplorerMixin';
import WebPSupport from '~/components/mixins/WebPSupport';

export default {
  components: {
    Header,
    Footer,
  },
  mixins: [InternetExplorerMixin, WebPSupport],
  head() {
    return {
      title: this.$t('website.title'),
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: this.$t('website.meta.description'),
        },
      ],
    };
  },
  computed: {
    ...mapGetters('user', ['getUser']),
    isLive() {
      return process.env.profile === 'live';
    },
    currentProfile() {
      return process.env.profile;
    },
  },
  created() {
    if (process.client) {
      this.$store.dispatch('ryauth/fetchUser');
    }
  },
};
</script>
